Subject: [Errata Rejected] RFC7230 (5623)

From: RFC Errata System <[email-masked]>
Date: Mon, 15 Apr 2019 07:05:52 -0700 (PDT)

The following errata report has been rejected for RFC7230,
"Hypertext Transfer Protocol (HTTP/1.1): Message Syntax and Routing".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5623

--------------------------------------
Status: Rejected
Type: Editorial

Reported by: Armin Abfalterer <[email-masked]>
Date Reported: 2019-02-05
Rejected by: Alexey Melnikov (IESG)

Section: 2.7

Original Text
-------------
absolute-URI  = <absolute-URI, see [RFC3986], Section 4.3>

Corrected Text
--------------

Notes
-----
RFC3986 defines "absolute-URI" very openly, especially regarding to "hier-part":

      absolute-URI  = scheme ":" hier-part [ "?" query ]

      hier-part   = "//" authority path-abempty
                  / path-absolute
                  / path-rootless
                  / path-empty

The impact is reflected in RFC 7231 in the definition of the header fields Referer and Content-Location.

      absolute-URI = <absolute-URI, see [RFC7230], Section 2.7>

Thus, following examples of header values are considered valid

Referer: https:foo/bar
Referer: https:/foo
Referer: https:/
Referer: foo:/

I'd suggest to define "hier-part" (but also "scheme") more strictly.
 --VERIFIER NOTES-- 
   As per WG discussion: <https://lists.w3.org/Archives/Public/ietf-http-wg/2019JanMar/0130.html>

--------------------------------------
RFC7230 (draft-ietf-httpbis-p1-messaging-26)
--------------------------------------
Title               : Hypertext Transfer Protocol (HTTP/1.1): Message Syntax and Routing
Publication Date    : June 2014
Author(s)           : R. Fielding, Ed., J. Reschke, Ed.
Category            : PROPOSED STANDARD
Source              : Hypertext Transfer Protocol Bis APP
Area                : Applications
Stream              : IETF
Verifying Party     : IESG